org.wildfly.swarm.config.elytron

## Class SASLAuthenticationFactory<T extends SASLAuthenticationFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SASLAuthenticationFactory<T>

-     public class SASLAuthenticationFactory<T extends SASLAuthenticationFactory<T>>
      extends Object

  Resource containing the association of a SecurityDomain with a SaslServerFactory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASLAuthenticationFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The SASL mechanisms available from this configuration after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The SASL mechanisms available from this configuration after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The SASL mechanisms available from this configuration after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The SASL mechanisms available from this configuration after all filtering has been applied.
    `String` | `getKey()`
    `T` | `mechanismConfiguration(Map value)` Mechanism specific configuration
    `List<Map>` | `mechanismConfigurations()` Mechanism specific configuration
    `T` | `mechanismConfigurations(List<Map> value)` Mechanism specific configuration
    `T` | `mechanismConfigurations(Map... args)` Mechanism specific configuration
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslServerFactory()` The SaslServerFactory to associate with this resource
    `T` | `saslServerFactory(String value)` The SaslServerFactory to associate with this resource
    `String` | `securityDomain()` The SecurityDomain to associate with this resource
    `T` | `securityDomain(String value)` The SecurityDomain to associate with this resource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SASLAuthenticationFactory

          public SASLAuthenticationFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The SASL mechanisms available from this configuration after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The SASL mechanisms available from this configuration after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The SASL mechanisms available from this configuration after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The SASL mechanisms available from this configuration after all filtering has been applied.

    - #### mechanismConfigurations

          public List<Map> mechanismConfigurations()

      Mechanism specific configuration

    - #### mechanismConfigurations

          public T mechanismConfigurations(List<Map> value)

      Mechanism specific configuration

    - #### mechanismConfiguration

          public T mechanismConfiguration(Map value)

      Mechanism specific configuration

    - #### mechanismConfigurations

          public T mechanismConfigurations(Map... args)

      Mechanism specific configuration

    - #### saslServerFactory

          public String saslServerFactory()

      The SaslServerFactory to associate with this resource

    - #### saslServerFactory

          public T saslServerFactory(String value)

      The SaslServerFactory to associate with this resource

    - #### securityDomain

          public String securityDomain()

      The SecurityDomain to associate with this resource

    - #### securityDomain

          public T securityDomain(String value)

      The SecurityDomain to associate with this resource

Copyright © 2018 JBoss by Red Hat. All rights reserved.